# BUILD OPTIONS: 1 for yes, 0 for no
%define enable_debug 0
%define enable_optimize 1
%define enable_perl 1
%define enable_jpeg 1

# PLUGIN OPTIONS: 1 for yes, 0 for no
%define enable_abicommand 0
%define enable_aiksaurus 1
%define enable_babelfish 1
%define enable_urldict 1
%define enable_wikipedia 1
%define enable_freetranslation 1
%define enable_festvox 0
%define enable_gdict 1
%define enable_shell 1
%define enable_eg 0
%define enable_abidash 1
%define enable_abipsion 1
# import/export
%define enable_wordperfect 1
# graphics  
%define enable_rsvg 1
#search
%define enable_google 1


%if %{enable_debug}
# This makes sure the binaries are UNSTRIPPED!
%define __os_install_post       %{nil}
# This gives extra debuggin and huge binaries
%{expand:%%define optflags %{optflags} %([ ! $DEBUG ] && echo '-g3')}
%endif

%if %{enable_aiksaurus}
%define plugin_aiksaurus --enable-aiksaurus
%else
%define plugin_aiksaurus --disable-aiksaurus
%endif

%if %{enable_gdict}
%define plugin_gdict --enable-gdict
%else
%define plugin_gdict --disable-gdict
%endif

%if %{enable_babelfish}
%define plugin_babelfish --enable-babelfish
%else
%define plugin_babelfish --disable-babelfish
%endif

%if %{enable_urldict}
%define plugin_urldict --enable-urldict
%else
%define plugin_urldict --disable-urldict
%endif

%if %{enable_wikipedia}
%define plugin_wikipedia --enable-wikipedia
%else
%define plugin_wikipedia --disable-wikipedia
%endif

%if %{enable_freetranslation}
%define plugin_freetranslation --enable-freetranslation
%else
%define plugin_freetranslation --disable-freetranslation
%endif 

%if %{enable_festvox}
%define plugin_festvox --enable-festvox
%else
%define plugin_festvox --disable-festvox
%endif

%if %{enable_gdict}
%define plugin_gdict --enable-gdict
%else
%define plugin_gdict --disable-gdict
%endif

%if %{enable_shell}
%define plugin_shell --enable-shell
%else
%define plugin_shell --disable-shell
%endif

%if %{enable_eg}
%define plugin_tests --enable-eg
%else
%define plugin_tests --disable-eg
%endif

%if %{enable_google}
%define plugin_google --enable-google
%else
%define plugin_google --disable-google
%endif

%if %{enable_abidash}
%define plugin_abidash --enable-abidash
%else
%define plugin_abidash --disable-abidash
%endif

%if %{enable_abipsion}
%define plugin_abipsion --enable-abipsion
%else
%define plugin_abipsion --disable-abipsion
%endif

%define version_flag ABI_BUILD_VERSION=%version
%define Aname AbiWord-2.2
%define Sname AbiSuite-2.2
%define iconname abiword.png  
%define release 1

Name:		abiword
Summary:	Lean and fast full-featured word processor
Version:	2.2.9
Release:	%mkrel %release
Group:		Office
URL:		http://www.abisource.com/
License:	GPL
Source0:	http://prdownloads.sourceforge.net/abiword/abiword-%{version}.tar.bz2 
#Patch:		abiword-2.1.7-desktop-file.patch.bz2  
BuildRoot:	%_tmppath/%name-%version-buildroot
BuildRequires:	ImageMagick
BuildRequires:	bzip2-devel
BuildRequires:	libtool-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libwmf-devel >= 0.2.1
BuildRequires:	wv-devel
BuildRequires:	enchant-devel
BuildRequires:	texinfo
BuildRequires:	lcms-devel
BuildRequires:	fribidi-devel >= 0.10.4
BuildRequires:	libglade2.0-devel
BuildRequires:	libgal2.0-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libgnomeprintui-devel
BuildRequires:	libgsf-devel
Obsoletes:  %{name}-plugin-gdkpixbuf
Provides:  %{name}-plugin-gdkpixbuf
 

%description
AbiWord is a cross-platform, Open Source Word Processor developed
by the people at AbiSource, Inc. and by developers from around the world.

It is a lean and fast full-featured word processor. It works on Microsoft
Windows and most Unix Systems. Features include:

   * Basic character formatting (bold, underline, italics, etc.)
   * Paragraph alignment
   * Spell-check
   * Import of MS Word and RTF documents
   * Export to RTF, Text, HTML, and LaTeX formats
   * Interactive rulers and tabs
   * Styles
   * Unlimited undo/redo
   * Multiple column control
   * Widow/orphan control
   * Find/Replace
   * Images
   * Tables

Abiword with the GNOME front-end is part of the GNOME Office Suite. 

%if %{enable_abicommand}
%package plugin-abicommand
Summary:	This plugin offers a command line interface to AbiWord
Group:		Office
Requires:	%{name} = %{version}
BuildRequires:	libtermcap-devel 
BuildRequires:	libreadline-devel

%description plugin-abicommand
This plugin offers a command line interface to AbiWord.
%endif

%if %{enable_perl}
%package perl
Summary:	Perl Bindings Module
Group:		Development/Libraries
Requires:	perl >= 5.005
BuildRequires:	perl >= 5.005
Requires:	%{name} = %{version}

%description perl
Perl Module containing classes for AbiWord Scripting.
%endif

%if %{enable_babelfish}
%package plugin-babelfish
Summary:	Plugin to allow abiword to show babelfish translations
Group:		Office
Requires:	%{name} = %{version}
 
%description plugin-babelfish
Installing this plugin will allow abiword fetch babelfish translations 
for selected text.
%endif

%if %{enable_urldict}
%package plugin-urldict
Summary:	Plugin to allow abiword to use dict through a web browser
Group:		Office
Requires:	%{name} = %{version} 

%description plugin-urldict
Installing this plugin will allow abiword to use dict through a web 
browser on selected text.
%endif 

%if %{enable_festvox}
%package plugin-festvox
Summary:	Plugin for festvox
Group:		Office
Requires:	%{name} = %{version}

%description plugin-festvox
Plugin for festvox
%endif

%if %{enable_gdict}
%package plugin-gdict
Summary:	Plugin to allow abiword to use gdict
Group:		Office
BuildRequires:	gdict
Requires:	%{name} = %{version} 

%description plugin-gdict
Plugin to allow abiword to use gdict
%endif

%package plugin-abigimp
Summary:	Enables editing of your images in The GIMP
Group:		Office
Requires:	%{name} = %{version}

%description plugin-abigimp
Installing this plugin will allow AbiWord to transfer images to The GIMP for
editing.

%if %{enable_shell}
%package plugin-shell
Summary:	Enables redirection of shell output into AbiWord
Group:		Office
Requires:	%{name} = %{version} 

%description plugin-shell
Installing this plugin will allow AbiWord to read output of shell commands.
%endif

%if %{enable_wikipedia}
%package plugin-wikipedia
Summary:	Plugin to allow abiword to connect with WikiPedia
Group:		Office
Requires:	%{name} = %{version} 

%description plugin-wikipedia
Plugin to allow abiword to connect with WikiPedia.
%endif

%if %{enable_freetranslation}
%package plugin-freetranslation
Summary:	Plugin to allow abiword to connect with freetranslation
Group:		Office
Requires:	%{name} = %{version} 

%description plugin-freetranslation
Plugin to allow abiword to connect with freetranslation.
%endif

%if %{enable_aiksaurus}
%package plugin-aiksaurus
Summary:	Plugin to allow abiword to connect with AikSaurus
Group:		Office
BuildRequires:	aiksaurusgtk-devel
Requires:	%{name} = %{version} 

%description plugin-aiksaurus
Plugin to allow abiword to connect with AikSaurus.
%endif

%package plugin-ots
Summary:	Plugin to summarize text
Group:		Office
Requires:	ots
Requires:	%{name} = %{version}
BuildRequires:	ots-devel

%description plugin-ots
Installing this plugin will allow abiword to summarize text with
the help from ots (open text summarizer).

%package plugin-gda
Summary:	Plugin to import from databases
Group:		Office
Requires:	gda2.0
Requires:	gnome-db2.0
Requires:	%{name} = %{version}
BuildRequires:	gnome-db2.0-devel

%description plugin-gda
Installing this plugin will allow abiword to import from databases through
gda and gnome-db. 

%package plugin-graphics
Summary:	Plugins to allow abiword to import images
Group:		Office
Requires:	%{name} = %{version}
%if %{enable_rsvg}
BuildRequires:	librsvg-devel
%endif 

%description plugin-graphics
Installing these plugins will allow abiword to import several image types,
like jpeg, bmp or rsvg.

%package plugin-impexp
Summary:	Plugins to allow abiword to import file types from other wordprocessors
Group:		Office
Requires:	%{name} = %{version}
BuildRequires:	libpoppler-devel
%if %{enable_wordperfect}
BuildRequires:	libwpd-devel >= 0.8.0
%endif 

%description plugin-impexp
Installing these plugins will allow abiword to import and/or export file
types from other wordprocessors, like OpenOffice/StarOffice(5/6), WordPerfect,
Kword, etc.
This package also provides plugins to import LaTeX, PDF, nroff and docbook
documents, as well as the import and export of html/xhtml documents.
Support to import MS Word documents is built into the main package.

%if %{enable_google}
%package plugin-google
Summary:	Plugins allows Google search for selected text
Group:		Office
Requires:	%{name} = %{version} 

%description plugin-google
Plugins allows Google search for selected text
%endif

%if %{enable_abidash}
%package plugin-abidash
Summary:    Plugin template for a notification style plugin
Group:		Office
Requires:	%{name} = %{version}  

%description plugin-abidash
New plugin template for a notification style plugin. 
Can be used to make a dashbaord plugin
%endif

%if %{enable_abipsion}
%package plugin-abipsion
Summary:    Plugin allowing import/export from Psion PDA
Group:		Office
BuildRequires: libpsiconv-devel
Requires:	%{name} = %{version}
Requires:       psiconv

%description plugin-abipsion
Plugin allowing import/export from Psion PDA
%endif


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}  
 
 
%build
rm -Rf libpng
cd abi  
%configure2_5x --enable-gnome --with-sys-wv 

# mdk 9.2: override CFLAGS to not use -pedantic.
%if %mdkversion == 920
find ./src -name GNUmakefile -exec perl -pi -e 's/-pedantic/ /g' {} \;
%endif

%make %{version_flag} ABI_OPT_DEBUG=%{enable_debug} \
    UNIX_CAN_BUILD_STATIC=0 ABI_OPT_LIBJPEG=1 \
    ABI_OPT_PERL=%{enable_perl} \
    ABI_OPT_OPTIMIZE=%{enable_optimize}

cd ../abiword-plugins/
%configure2_5x --host=%{_target_platform} --disable-rpath \
    --enable-all \
    %{plugin_abidash} %{plugin_abipsion} %{plugin_aiksaurus} \
    %{plugin_babelfish} %{plugin_festvox} %{plugin_freetranslation} \
    %{plugin_gdict} %{plugin_gdkpixbuf} %{plugin_google} \
    %{plugin_shell} %{plugin_tests} \
    %{plugin_urldict} %{plugin_wikipedia} \
    --disable-applix --disable-clarisworks --disable-eml \
    --disable-gypsython --disable-hancom --disable-hrtext \
    --disable-iscii-text --disable-mif --disable-nroff \
    --disable-referee --disable-t602

%make 

# now make the docs
cd ../abiword-docs
ABI_DOC_PROG=$(pwd)/../abi/src/wp/main/unix/AbiWord-2.2 ./make-html.sh

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
cd abi

%makeinstall_std

cd ../abiword-plugins
%make install  DESTDIR=$RPM_BUILD_ROOT
cd ../abi

# Icons
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
install -m 644 abiword_48.png %{buildroot}%{_liconsdir}/%{iconname}
convert abiword_48.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert abiword_48.png  -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname} 

# Menu entry 
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="%_bindir/abiword" section="Office/Wordprocessors" \
icon="%{iconname}" needs="x11" title="AbiWord" \
longtitle="MS Word-compatible word processor"
EOF

 
#remove unpackage files
rm -f $RPM_BUILD_ROOT%{_datadir}/%{Sname}/Nautilus_View_AbiWord.oaf \
 $RPM_BUILD_ROOT%{_datadir}/%{Sname}/nautilus-abiword-content-view-ui.xml \
 $RPM_BUILD_ROOT%{_datadir}/%{Sname}/AbiWord/system.profile \
 $RPM_BUILD_ROOT%{_datadir}/%{Sname}/AbiWord.exe.MANIFEST \
 $RPM_BUILD_ROOT%{_bindir}/ttftool \
 $RPM_BUILD_ROOT%{_bindir}/ttfadmin.sh
rm -rfd $RPM_BUILD_ROOT%{_datadir}/%{Sname}/AbiWord/help/fr-FR

# add uninstalled files
%if %{enable_abicommand}
cd ../abidistfiles
cp GNOME_AbiWord_Control_2_4.server $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/
%else
rm -f $RPM_BUILD_ROOT%{_libdir}/%{Aname}/plugins/libAbiCommand.*
%endif

# install the docs
cd ../abiword-docs
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/AbiSuite-2.2/AbiWord/help
cp -rp help/* $RPM_BUILD_ROOT/%{_datadir}/AbiSuite-2.2/AbiWord/help/
# some of the help dirs have bad perms (#109261)
find $RPM_BUILD_ROOT/%{_datadir}/AbiSuite-2.2/AbiWord/help/ -type d -exec chmod -c o+rx {} \;

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc abi/user/wp/readme.txt abi/BiDiReadme.txt abi/COPYING abi/COPYRIGHT.TXT abi/CREDITS.TXT abi/README.TXT abi/abi2po.pl abi/po2abi.pl
%doc abi/docs/*.abw abi/docs/*.txt abi/docs/status/*.xsl abi/docs/status/*.xml abiword-docs/* 
%_bindir/*
%_menudir/%name
%dir %_datadir/%{Sname}
%_datadir/%{Sname}/clipart
%_datadir/%{Sname}/icons
%_datadir/%{Sname}/templates
%_datadir/%{Sname}/AbiWord/help
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}
%_datadir/%{Sname}/AbiWord/readme.txt 
%_datadir/%{Sname}/AbiWord/strings
%_datadir/%{Sname}/AbiWord/scripts
%_datadir/%{Sname}/AbiWord/system.profile-* 
%_datadir/%{Sname}/AbiWord/glade/*
%attr(644,root,root) %_datadir/icons/abiword_48.png
%attr(644,root,root) %_datadir/applications/abiword.desktop

%if %{enable_abicommand}
%files plugin-abicommand
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiCommand.*
%attr(-,root,root) %{_libdir}/bonobo/servers/GNOME_AbiWord_Control_2_4.server
%endif

%if %{enable_gdict}
%files plugin-gdict
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiGdict.*
%endif

%if %{enable_babelfish}
%files plugin-babelfish
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiBabelfish.*
%endif

%if %{enable_urldict}
%files plugin-urldict
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiURLDict.*
%endif

%if %{enable_wikipedia}
%files plugin-wikipedia
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiWikipedia.*
%endif

%if %{enable_freetranslation}
%files plugin-freetranslation
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiFreeTranslation.*
%endif

%if %{enable_aiksaurus}
%files plugin-aiksaurus
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiAikSaurus.*
%endif

%if %{enable_festvox}
%files plugin-festvox
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiFestVox.*
%endif 
 
%files plugin-abigimp
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiGimp.*

%if %{enable_shell}
%files plugin-shell
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiScriptHappy.*
%endif

%files plugin-ots
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiOTS.*
%attr(-,root,root) %_libdir/%{Aname}/plugins/AbiWord/glade/ots.glade

%files plugin-gda
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiGDA.* 

%files plugin-graphics
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiJPEG.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiBMP.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiWMF.*
%if %{enable_rsvg}
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiRSVG.*
%endif

%files plugin-impexp
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiKWord.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiXSLFO.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiLaTeX.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiDocBook.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiMSWrite.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiPalmDoc.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiSDW.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiWML.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiXHTML.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiBZ2.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiOpenWriter.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiCAPI.*
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiPassepartout.*
%if %{enable_wordperfect}
%attr(-,root,root) %{_libdir}/%{Aname}/plugins/libAbiWordPerfect.*
%endif

%if %{enable_google}
%files plugin-google
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiGoogle.*
%endif

%if %{enable_abidash}
%files plugin-abidash
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiDash.*
%endif

%if %{enable_abipsion}
%files plugin-abipsion
%attr(-,root,root) %_libdir/%{Aname}/plugins/libAbiPsion.*
%endif

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Wed Jul 27 2005 Reinout van Schouwen <reinout@cs.vu.nl> 2.2.9-1mdk
- 2.2.9
- build docs

* Tue Jun 06 2005 Reinout van Schouwen <reinout@cs.vu.nl> 2.2.8-1mdk
- 2.2.8

* Fri Apr 29 2005 Marcel Pol <mpol@mandriva.org> 2.2.7-2mdk
- fix description (Reinout van Schouwen)

* Mon Apr 04 2005 Charles A Edwards <eslrahc@mandrake.org> 2.2.7-1mdk
- 2.2.6

* Sun Mar 6 2005 Marcel Pol <mpol@mandrake.org> 2.2.5-1mdk
- 2.2.5
- provides gdkpixbuf plugin

* Mon Feb 21 2005 Charles A Edwards <eslrahc@mandrake.org> 2.2.4-1mdk
- 2.2.4
- rm pixbuf-plugin...viewer now included in main
- rm Magick-plugin...no longer included in source

* Thu Jan 20 2005 Charles A Edwards <eslrahc@mandrake.org> 2.2.3-2mdk
- rebuild for new readline

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 2.2.3-1mdk
- 2.2.3

* Tue Jan 04 2005 Marcel Pol <mpol@mandrake.org> 2.2.2-2mdk
- rebuild for new gda

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 2.2.2-1mdk
- 2.2.2

* Fri Dec 03 2004 Charles A Edwards <eslrahc@mandrake.org> 2.2.1-1mdk
- 2.2.1
- mv BR libreadline-devel to abicommand pkg
- drop patch

* Sun Nov 28 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.2.0-2mdk
- add BuildRequires: libnautilus-devel libreadline-devel

* Mon Nov 18 2004 Charles A Edwards <eslrahc@mandrake.org> 2.2.0-1mdk
- 2.2.0 Final

* Fri Nov 12 2004 Marcel Pol <mpol@mandrake.org> 2.1.99-1mdk
- 2.1.99
- revamp configuring of plugins

* Mon Nov 08 2004 Charles A Edwards <eslrahc@mandrake.org> 2.1.98-1mdk
- 2.1.98

* Fri Nov 05 2004 Marcel Pol <mpol@mandrake.org> 2.1.96-1mdk
- 2.1.96

* Tue Oct 19 2004 Charles A Edwards <eslrahc@mandrake.org> 2.1.91-1mdk
- 2.1.91
- enable/add AbiPsion plugin

* Fri Oct 15 2004 Charles A Edwards <eslrahc@mandrake.org> 2.1.90-1mdk
- 2.1.90 (2.2 Beta 1)
- add abidash plugin
 
* Fri Oct 01 2004 Marcel Pol <mpol@mandrake.org> 2.1.8-1mdk
- 2.1.8
- really disable abimagick-plugin
- explicitly disable psion plugin (compile breaks)

* Wed Sep 08 2004 Charles A Edwards <eslrahc@mandrake.org> 2.1.7-1mdk
- 2.1.7
- rediff p
- drop p1 and p2
- abimagick-plugin still causes abort-so-disable

* Sat Sep 04 2004 Charles A Edwards <eslrahc@mandrake.org> 2.1.6-2mdk
- disable abimagick-plugin (bug 7211-could find no work-a-round)
- drop patch1

* Fri Sep 03 2004 Charles A Edwards <eslrahc@mandrake.org> 2.1.6-1mdk
- 2.1.6
- patch abigimp and abimagick

* Thu Sep  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.1.5-2mdk
- fix broken desktop file

* Tue Aug 10 2004 Marcel Pol <mpol@mandrake.org> 2.1.5-1mdk
- 2.1.5
- coquille plugin is gone, part of docbook plugin
- enable aiksaurus again
- add uninstalled files

* Thu Jul 29 2004 Marcel Pol <mpol@mandrake.org> 2.1.3-5mdk
- build against system wv (security fix)

* Wed Jul 28 2004 Charles A Edwards <eslrahc@mandrake.org> 2.1.3-4mdk
- rebuild for IM-6.0.4.1

* Wed Jul 21 2004 Marcel Pol <mpol@mandrake.org> 2.1.3-3mdk
- enable Palm inport/export plugin

* Tue Jul 06 2004 Michael Scherer <misc@mandrake.org> 2.1.3-2mdk 
- rebuild for new ImageMagick

* Fri Jun 11 2004 Marcel Pol <mpol@mandrake.org> 2.1.3-1mdk
- 2.1.3
- buildrequires imagemagick
- enable gda plugin again, disable aiksaurus for now

* Sat May 22 2004 Charles A Edwards <eslrahc@mandrake.org> 2.1.2-1mdk
- 2.1.2
- reenable libtoolize
- add and enable google plugin
- enable ImageMagick plugin
- rm all Obsoletes/Provides for abiword2 abisuite
- misc spec clean-up

* Tue Apr 13 2004 Marcel Pol <mpol@mandrake.org> 2.0.6-1mdk
- 2.0.6
- temporarily disable gda and coquille plugins

* Sat Jan 31 2004 Marcel Pol <mpol@mandrake.org> 2.0.3-2mdk
- buildrequires

* Thu Jan 22 2004 Marcel Pol <mpol@mandrake.org> 2.0.3-1mdk
- 2.0.3
- from Charles Edwards
    - no need to run autogen.sh and nextgen.sh
    - use Aname, Sname and iconname macro
    - use convert to generate icons
    - don't run libtoolize

* Mon Jan 19 2004 Marcel Pol <mpol@mandrake.org> 2.0.2-1mdk
- 2.0.2
- fix 9.2 backport (don't compile with -pedantic)
- buildrequires
- fix rpath
- use enchant

* Sun Nov 16 2003 Marcel Pol <mpol@gmx.net> 2.0.1-1mdk
- 2.0.1
- add gda plugin
- remove cookerfix for update-alternatives
- compile with -pedantic again

* Wed Sep 17 2003 Marcel Pol <mpol@gmx.net> 2.0.0-1mdk
- 2.0.0

* Thu Sep 04 2003 Marcel Pol <mpol@gmx.net> 1.99.6-1mdk
- 1.99.6
- add ots plugin
- just build openwriter plugin
- buildrequires
- plugin configure needs host option

* Tue Aug 12 2003 Marcel Pol <mpol@gmx.net> 1.99.4-1mdk
- 1.99.4
- remove eml option

* Mon Aug 11 2003 Marcel Pol <mpol@gmx.net> 1.99.3-2mdk
- 1.99.3
- merge changes from abiword2
    - make metapackages:
      * plugin-graphics: jpeg, bmp, rsvg
      * plugin-impexp: kword, wordperfect, etc.
    - disable imagemagick plugin
    - fribidi support hardcoded now
    - fonts are gone, using system fonts. rm ttftool
    - FHS compliant now
    - don't compile unused plugins
    - docs are distributed seperated now, not included anymore
    - plugins require "name = version"
- remove update-alternatives from 1.0.6 and 1.99.3 (cooker only)
- obsolete abiword2
- don't use -pedantic as compile flag for now

* Mon Jun 16 2003 Marcel Pol <mpol@gmx.net> 1.0.6-1mdk
- 1.0.6
- update-alternatives
- version the gnome menu entry
- just enable xml

* Tue Mar 11 2003 Marcel Pol <mpol@gmx.net> 1.0.4-5mdk
- enable aiksaurus
- just build with spellcheck
- formatting

* Wed Feb 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.4-4mdk
- rebuild

* Fri Jan 31 2003 Marcel Pol <mpol@gmx.net> 1.0.4-3mdk
- add plugin-abicommand package
- openwriter has buildreq: libgsf-1_1-devel. build breaks though

* Wed Jan 29 2003 Charles A Edwards <eslrahc@bellsouth.net> 1.0.4-2mdk
- enable debug, xml2, and abicommand
- requires xml2

* Thu Jan 23 2003 Marcel Pol <mpol@gmx.net> 1.0.4-1mdk
- 1.0.4
- buildreq: bonobo-devel, liblcms1-devel

* Thu Dec 19 2002 Charles A Edwards <eslrahc@bellsouth.net> 1.0.3-1mdk
- 1.0.3
- convert src tar.gz to tar.bz2 and correct permissions
- disable pspell--too lazy worry with new aspell patch-- diable patch1
- disable abicommand (build fails if enabled)
- enable jpeg
- rm configure.aw--force automake to use configure.in 
- use nexgen.sh to build plgins (fails in AbiCommand if autogen.sh is used)
- enable/add plugins gdict, ImageMagick, GdkPixbuf
- remove unused files from file list

* Wed Nov 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-2mdk
- Recompiled against latest gal/aspell
- Patch

* Wed Sep 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
- update plugins
- regenerate patch
- wrap description

* Fri Jul 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-3mdk
- buildrequires libpspell-devel

* Tue Jun 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.0-2mdk
- fix abiword-plugins build (autogen.sh)

* Fri Apr 19 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-1mdk
- new release
- remove merged upstream patch1
- %%lang help
- remove uneeded Buildrequires
- add plugins
- handle fonts
- disable es/fr/de help that're missing from the tarball
- add manpages

* Tue Apr 09 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.5-1mdk
- new release
- reput american dict

* Fri Mar 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.3-1mdk
- clean spec
- abiword is stable again

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.1-4mdk
- xpm -> png icons

* Sun Jan 27 2002 Stefan van der Eijk <stefan@eijk.nu> 0.99.1-3mdk
- forgot one BuildRequires

* Tue Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 0.99.1-2mdk
- BuildRequires

* Fri Jan 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.1-1mdk
- Release 0.99.1
- Add new plugins, thanks to Rui Miguel Seabra
- Add dictionnaries
- Don't build with libxml2, it breaks some translations
- Patch0: give correct configure flags to wv
- Patch1: fix locale detection when modifier are used (like in @euro)

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-1mdk
- Release 0.9.5
- Enable libxml2 and gnome build
- Switch to autoconf based build system
- Clean specfile
- Remove patch0

* Sat Dec  1 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.9.4.1-2mdk
- cast pointer to unsigned long not UT_uint32 (fixes 64-bit build)

* Wed Oct 24 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.4.1-1mdk
- new version
- compiled with libpng3

* Tue Oct 16 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.4-1mdk
- new version

* Mon Oct 08 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.9.2-3mdk
- Correted chinese printing PS font name

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.2-2mdk
- BuildRequires: libtool --> libtool-devel

* Thu Aug 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-1mdk
- Release 0.9.2

* Thu Aug  2 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-2mdk
- fixes fonts.dir for cooker (mdk8.1), works both mdk8.0& cooker

* Wed Aug  1 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.0-1mdk
- changed name back to abiword, new tarball includes everything we need
- changed setup, compilation, paths, and so on.

* Fri Jul 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.0-0.pre20010714.4mdk
- Fix dependency on libpspell

* Sun Jul 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.9.0-0.pre20010714.3mdk
- BuildRequires: libtool-devel
- Copyright --> License
- Removed BuildRequires:	glib-devel
- Removed BuildRequires:	gtk+-devel
- Removed BuildRequires:	libpng-devel
- Removed BuildRequires:	zlib-devel

* Sun Jul 15 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.pre20010714.2mdk
- add GBK support, fonts/zh_CN.GBK

* Sat Jul 14 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.pre20010714.1mdk
- CVS 20010714 (Sat Jul 14 03:06:05 UTC 2001)
- fixes for fonts.dir.zh-CN and fonts.dir.zh-TW, add fonts.dir.zh-GBK
- fonts.dir for CJK should include four style(normal/Bold/Italic/italic-Bold) for each underline ttf font
- built both on mdk8 and cooker

* Thu Jul 12 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 0.7.15-0.pre20010612.1mdk
- Latest nightly building from http://www.abisource.com/~sam/nightly/latest/

* Thu Jul 12 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.2mdk
- build from CVS Thu Jul 12 08:07:57 UTC 2001

* Sat Jul 08 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.9.0-0.1mdk
- build from CVS 2001-07-08

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-9mdk
- BuildRequires: libunicode-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-8mdk
- BuildRequires: gdk-pixbuf-devel
- remove BuildRequires: popt-devel (Stefan sux)

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-7mdk
- BuildRequires: popt-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-6mdk
- BuildRequires: gnome-print-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.7.14-5mdk
- BuildRequires: gnome-libs-devel

* Wed Jun 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.14-4mdk
- Rebuild against latest gal
- correct menu entry

* Mon Jun 11 2001 Jesse Kuang <kjx@mandrakesoft.com> 0.7.14-3mdk
- quick fixes for CJK fonts
- add fonts.dir for Chinese TTF fonts

* Fri Jun  8 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.14-2mdk
- recompile for libltdl suxxing

* Mon May 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.14-1mdk
- Use official sources
- Recompiled against latest gal

* Mon May 21 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.7.14-0.3mdk
- rebuild with new libpspell

* Fri Apr  6 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.14-0.2mdk
- separated abisuite data directory into 3 entries in the filelist, to add a 
"noreplace" parameter to fonts.dir and fonts.scale (to keep user modifications when upgrading).
(thanks to Ha Duong Minh)

* Thu Apr  5 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.14-0.1mdk
- version from gnome 1.4 extra apps; tagged 0.1 until official release.
- added chkfontpath in post and postun + PreReq
- require on libpng
- more docs

* Mon Apr  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.13-3mdk
- Patch6 : include correct headers in libole code
- Correct libxml dependencies

* Thu Mar 15 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.13-2mdk
- added compilation options (gnome,libxml,pspell)

* Tue Mar 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.13-1mdk
- new version

* Thu Jan 04 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.11-7mdk
- back to -O3 (for Fcrozat who is doesn't know how to check build flags ;)

* Sat Dec 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.7.11-6mdk
- build with -O2 to fix gcc internal error.

* Tue Nov  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.11-5mdk
- Rebuild against last libstdc++ and using optimizations
- Patch to build with gcc 2.96
- Use more macros

* Wed Oct  4 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-4mdk
- Add ABI_BUILD_VERSION so version numbers work (from Tristan Henderson)

* Tue Oct  3 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-3mdk
- patch to avoid a clash between wv.h provided by abiword/wv module and 
  wmfapi.h (which it tries to include when wmf lib is correctly detected) 

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.7.11-2mdk
- added build requires on libwmf gtk+-devel glib-devel freetype-devel xpm-devel zlib-devel libpng-devel.

* Mon Sep 18 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.11-1mdk
- new version
- updated menus patch
- added toolbars patch

* Thu Sep  7 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.7.10-2mdk
- macroszification
- added liconsdir

* Wed Jul 19 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.10-1mdk
- Update to 0.7.10 (from Helix)
- change menu update
- move doc to standard location
- BM

* Sun May 21 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.9-1mdk
- Fix descriptions (RPM & menu)

* Tue May  2 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.9-1mdk
- Update to 0.7.9
- Nothing sucks :)

* Sat Apr 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.8-7mdk
- fg sucks - menu entry really really added this time :-)
- fixed sources location

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 0.7.8-6mdk
- Real description

* Tue Apr 11 2000 Francis Galiegue <fg@mandrakesoft.com> 0.7.8-5mdk
- Titi sucks - menu entry really added this time
- Titi sucks - %post and %postun were incorrect
- Titi sucks - there were no icons, now there are
- Removed SMP cruft

* Wed Apr 05 2000 Jerome Martin <jerome@mandrakesoft.com> 0.7.8-4mdk
- Fixing distribution tag

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-3mdk
- add menu entry

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.8-2mdk
- clean spec: remove last garbages of file lists
- now compliant to the new naming scheme
- fix /usr/share/abisuite/bin/abiword incorectely linked on
  /var/tmp/abisuite-buildroot/usr/share/abisuite/AbiSuite/bin/AbiWord
  This bug is present at least since 0.7.7-3mdk!!

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 0.7.8-1mdk
- 0.7.8
- PPC Support

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.7-2mdk
- Fix alpha/sparc compilation.

* Thu Jan 13 2000 Saugey Vincent <vince@mandrakesoft.com> 0.7.7-1mdk
- update to 0.7.7

* Thu Oct 21 1999 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.6-1mdk
- update to 0.7.6

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.7.5-3mdk
- Build for cooker.

* Fri Sep 10 1999 Daouda LO <daouda@mandrakesoft.com> 0.7.5-2mdk
- Mandrake adaptations
- bzipped the sources
- Make the package relocatable

* Sun Sep 05 1999 Vu Hung Quan <binaire@videotron.ca> 0.7.5-1mdk
- update to 0.7.5 ; redhat adaptation

* Sat Jun 26 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- create (more or less) generic spec file...
